## Documentation

- Overview
- Website
- Tutorials
- Class Index

## Classes

- _global_
- CL3D
- CL3D.AnimatedMeshSceneNode
- CL3D.Animator
- CL3D.AnimatorAnimateTexture
- CL3D.AnimatorCameraFPS
- CL3D.AnimatorCameraModelViewer
- CL3D.AnimatorCollisionResponse
- CL3D.AnimatorFlyCircle
- CL3D.AnimatorFlyStraight
- CL3D.AnimatorFollowPath
- CL3D.AnimatorOnClick
- CL3D.AnimatorOnProximity
- CL3D.AnimatorRotation
- CL3D.BillboardSceneNode
- CL3D.BoundingBoxTriangleSelector
- CL3D.Box3d
- CL3D.CameraSceneNode
- CL3D.ColorF
- CL3D.CopperCubeVariable
- CL3D.CopperLicht
- CL3D.CubeSceneNode
- CL3D.HotspotSceneNode
- CL3D.Light
- CL3D.LightSceneNode
- CL3D.Line3d
- CL3D.Material
- CL3D.Matrix4
- CL3D.Mesh
- CL3D.MeshBuffer
- CL3D.MeshSceneNode
- CL3D.MeshTriangleSelector
- CL3D.MetaTriangleSelector
- CL3D.Mobile2DInputSceneNode
- CL3D.OctTreeTriangleSelector
- CL3D.Overlay2DSceneNode
- CL3D.ParticleSystemSceneNode
- CL3D.PathSceneNode
- CL3D.Plane3d
- CL3D.Quaternion
- CL3D.Renderer
- CL3D.Scene
- CL3D.SceneNode
- CL3D.SkyBoxSceneNode
- CL3D.SoundSceneNode
- CL3D.TerrainSceneNode
- CL3D.Texture
- CL3D.TextureManager
- CL3D.Triangle3d
- CL3D.TriangleSelector
- CL3D.Vect2d
- CL3D.Vect3d
- CL3D.Vertex3D
- CL3D.WaterSurfaceSceneNode

CopperLicht API Documentation

# Class CL3D.Texture

Class representing a texture which can be loaded from an URL.

Class Overview
CL3D.Texture()
Class representing a texture which can be loaded from an URL.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| getHeight() returns the height of this texture, or null if not loaded yet
| getImage() returns the image of the texture
| getURL() returns the URL of this texture
| getWebGLTexture() returns the webGL texture object of the texture, only available if the texture has been loaded already.
| getWidth() returns the width of this texture, or null if not loaded yet
| isLoaded() returns if the texture has been sucessfully loaded

Method Detail
getHeight()
returns the height of this texture, or null if not loaded yet

getImage()
returns the image of the texture

getURL()
returns the URL of this texture

getWebGLTexture()
returns the webGL texture object of the texture, only available if the texture has been loaded already.

getWidth()
returns the width of this texture, or null if not loaded yet

isLoaded()
returns if the texture has been sucessfully loaded

© 2011-2018 N.Gebhardt, Ambiera
Documentation generated by JsDoc Toolkit